std::logic_error(3)

NAME
std::logic_error -

SYNOPSIS

Inherits exception.

Inherited by domain_error, invalid_argument, length_error, and out_of_range.

Detailed Description

Logic errors represent problems in the internal logic of a program; in theory, these are preventable, and even detectable before the program runs (e.g., violations of class invariants).

Definition at line 54 of file stdexcept.

  Public Member Functions
logic_error (const string &__arg)
virtual const char * what () const throw ()

Constructor & Destructor Documentation

  logic_error (const string & __arg) [explicit]

Takes a character string describing the error.

Member Function Documentation

  virtual const char* what () const throw () [virtual]

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.